package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class SolidwasteClassificationType {

    public static final String INDUSTRY = "工业固废";
    public static final String LIFE = "生活垃圾";
    public static final String DANGER = "危险废物";

    private static SolidwasteClassificationType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private SolidwasteClassificationType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(INDUSTRY, INDUSTRY);
        dicMap.put(LIFE, LIFE);
        dicMap.put(DANGER, DANGER);
    }

    public static SolidwasteClassificationType getInstacne(){
        if (instance == null)
        {
            instance = new SolidwasteClassificationType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
